Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227955 - Review Request: yum-refresh-updatesd - Tell yum-updatesd to check for updates when yum exits
Summary: Review Request: yum-refresh-updatesd - Tell yum-updatesd to check for updates...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 01:44 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-12 15:35:05 UTC


Attachments (Terms of Use)

Description James Bowes 2007-02-09 01:44:47 UTC
Spec URL: http://jbowes.dangerouslyinc.com/tmp/yum-refresh-updatesd.spec
SRPM URL: http://jbowes.dangerouslyinc.com/tmp/yum-refresh-updatesd-0.0.3-2.src.rpm
Description:
yum-refresh-updatesd tells yum-updatesd to check for updates when yum exits.
This way, if you run 'yum list updates' and yum says there's a new version
of (for example) zsh available, puplet will almost instantly update itself to reflect this.

Comment 1 James Bowes 2007-02-09 01:47:48 UTC
rpmlint output:

[jbowes@localhost ~]$ rpmlint
/home/jbowes/rpmbuild/SRPMS/yum-refresh-updatesd-0.0.3-2.src.rpm 
W: yum-refresh-updatesd strange-permission yum-refresh-updatesd.spec 0600
[jbowes@localhost ~]$ rpmlint
/home/jbowes/rpmbuild/RPMS/noarch/yum-refresh-updatesd-0.0.3-2.noarch.rpm
E: yum-refresh-updatesd only-non-binary-in-usr-lib

The srpm warning is an artifact of the srpm being created via a makefile target;
it would not exist if the srpm was made "by hand".
The error is unavoidable, as yum requires plugins to be in /usr/lib/yum-plugins

Comment 2 Tim Lauridsen 2007-02-12 08:48:34 UTC
Hi James.

Just an idea, what about including this one into yum-util ???



Comment 3 James Bowes 2007-02-12 15:35:05 UTC
(In reply to comment #2)
> Hi James.
> 
> Just an idea, what about including this one into yum-util ???
> 
> 

That's a great idea. I'm going to close this bug then. :)



Note You need to log in before you can comment on or make changes to this bug.